List users
Returns a paginated list of users with optional search.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Query Parameters
page?integer
Page number (1-based)
Default
1Range
1 <= valuelimit?integer
Number of users per page (max 100)
Default
20Range
1 <= value <= 100search?string
Search by name or email
Response Body
curl -X GET "https://loading/{AI_GATEWAY_URL}/api/users?page=1&limit=20&search=string"{
"users": [
{
"id": "string",
"name": "string",
"email": "user@example.com",
"role_id": 0,
"role": {
"id": 0,
"name": "string",
"description": "string",
"is_system_role": true
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"teams": [
{
"id": "string",
"name": "string",
"business_unit_id": "string",
"business_unit_name": "string"
}
],
"access_profile": {
"id": 0,
"user_id": "string",
"parent_profile_id": 0,
"name": "string",
"is_active": true,
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}
],
"total": 0,
"page": 0,
"limit": 0,
"total_pages": 0,
"has_more": true
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}